﻿using Microsoft.AspNetCore.StaticFiles;
using System;

namespace MimeTypes
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string extension = ".jpg"; // Replace with the file extension you want to find the MIME type for

            var provider = new FileExtensionContentTypeProvider();
            if (provider.TryGetContentType(extension, out string mimeType))
            {   //Printing Mime type
                Console.WriteLine($"MIME Type for {extension}: {mimeType}");
            }
            else
            {
                Console.WriteLine($"No MIME Type found for {extension}");
            }
        }
    }
}
